API Reference
Vault
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/cash/vault JWT API KeyGet vault
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/cash/vault" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Set credentials in the “Authorize” menu
post
/api/v1/console/cash/vault/adjustments JWT API KeyCreate adjustments
Request body
application/json
{
"newBalance": 0,
"reason": "string",
"notes": "string"
}| newBalance integer (int64) | — |
| reason string | — |
| notes string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/cash/vault/adjustments" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"newBalance": 0,
"reason": "string",
"notes": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/cash/vault/deposits JWT API KeyCreate deposits
Request body
application/json
{
"amount": 0,
"reason": "string",
"notes": "string"
}| amount integer (int64) | — |
| reason string | — |
| notes string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/cash/vault/deposits" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"amount": 0,
"reason": "string",
"notes": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/cash/vault/entries JWT API KeyGet entries
Query parameters
| Account string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/cash/vault/entries" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/cash/vault/withdrawals JWT API KeyCreate withdrawals
Request body
application/json
{
"amount": 0,
"reason": "string",
"notes": "string"
}| amount integer (int64) | — |
| reason string | — |
| notes string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/cash/vault/withdrawals" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"amount": 0,
"reason": "string",
"notes": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu